services:
  beszel:
    image: henrygd/beszel
    container_name: beszel
    restart: unless-stopped
    environment:
      - APP_URL=https://dash.byhaider.dev
    volumes:
      - ./beszel_data:/beszel_data
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=traefik-network"
      - "traefik.http.routers.beszel.rule=Host(`dash.byhaider.dev`)"
      - "traefik.http.routers.beszel.entrypoints=websecure"
      - "traefik.http.routers.beszel.tls=true"
      - "traefik.http.routers.beszel.tls.certresolver=cloudflare"
      - "traefik.http.services.beszel.loadbalancer.server.port=8090"
    networks:
      - traefik-network
  
networks:
  traefik-network:
    external: true